### Method

# GtkSource Indenter is_trigger

#### Declaration [src]

    gboolean
    gtk_source_indenter_is_trigger (
      GtkSourceIndenter* self,
      GtkSourceView* view,
      const GtkTextIter* location,
      GdkModifierType state,
      guint keyval
    )

#### Description [src]

This function is used to determine if a key pressed should cause the indenter to automatically indent.

The default implementation of this virtual method will check to see if `keyval` is `GDK_KEY_Return` or `GDK_KEY_KP_Enter` and `state` does not have `GDK_SHIFT_MASK` set. This is to allow the user to avoid indentation when Shift+Return is pressed. Other indenters may want to copy this behavior to provide a consistent experience to users.

#### Parameters

`view`

  Type: `GtkSourceView`

  A `GtkSourceView`.

  The data is owned by the caller of the method.

`location`

  Type: `GtkTextIter`

  The location where `ch` is to be inserted.

  The data is owned by the caller of the method.

`state`

  Type: `GdkModifierType`

  Modifier state for the insertion.

`keyval`

  Type: `guint`

  The keyval pressed such as `GDK_KEY_Return`.

#### Return value

Type: `gboolean`

`TRUE` if indentation should be automatically triggered; otherwise `FALSE` and no indentation will be performed.